Bug 34902 - [PRINTING] Unable to print slide selection properly in Impress
Summary: [PRINTING] Unable to print slide selection properly in Impress
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.3.1 release
Hardware: x86 (IA32) All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Impress-UX
  Show dependency treegraph
 
Reported: 2011-03-01 23:31 UTC by Christopher M. Penalver
Modified: 2018-07-14 02:47 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
slideshow.odp (13.71 KB, application/vnd.oasis.opendocument.presentation)
2011-03-01 23:31 UTC, Christopher M. Penalver
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher M. Penalver 2011-03-01 23:31:28 UTC
Created attachment 44006 [details]
slideshow.odp

Downstream bug may be found at:
https://bugs.launchpad.net/ubuntu/+source/openoffice.org/+bug/631045

1) lsb_release -rd
Description: Ubuntu 10.10
Release: 10.10

2) apt-cache policy libreoffice-impress
libreoffice-impress:
  Installed: 1:3.3.1-1ubuntu3~maverick1
  Candidate: 1:3.3.1-1ubuntu3~maverick1
  Version table:
 *** 1:3.3.1-1ubuntu3~maverick1 0
        500 http://ppa.launchpad.net/libreoffice/ppa/ubuntu/ maverick/main i386 Packages
        100 /var/lib/dpkg/status

3) What is expected to happen is when performs at the Terminal:

cd ~/Desktop && wget https://bugs.launchpad.net/ubuntu/+source/openoffice.org/+bug/631045/+attachment/1547180/+files/slideshow.odp && loimpress -nologo slideshow.odp

click Slide Sorter tab -> hold Ctrl and click slides 3, and 35 (1 was already highlighted) -> Ctrl+P -> click Selection radio button -> click Print button that pages 1, 3, and 35 are printed.

4) What happens instead is that only page 1 prints.
Comment 1 Cédric Bosdonnat 2011-03-02 00:48:26 UTC
Also reproduced in master builds: only the first page is printed. Radek, is that an easy hack?
Comment 2 A (Andy) 2014-10-18 08:07:56 UTC
Reproducible with LO 4.3.2.2 (Win 8.1)

@Radek: Should we maybe put you out of "Assigned to" in case anybody else would maybe like to take it or do you want to keep it?
Comment 3 QA Administrators 2015-12-20 16:15:47 UTC Comment hidden (obsolete)
Comment 4 A (Andy) 2015-12-26 22:48:36 UTC
Still reproducible with LO 5.1.0.1, Win 8.1
Comment 5 Jouni Järvinen 2016-02-11 18:56:10 UTC
(In reply to A (Andy) from comment #4)
> Still reproducible with LO 5.1.0.1, Win 8.1

5.1.0.3 ?
Comment 6 QA Administrators 2017-03-06 15:39:40 UTC Comment hidden (obsolete)
Comment 7 Xisco Faulí 2017-07-13 12:18:44 UTC
Setting Assignee back to default. Please assign it back to yourself if you're
still working on this issue
Comment 8 QA Administrators 2018-07-14 02:47:24 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug